summaryrefslogtreecommitdiff
path: root/build-debug.sh
diff options
context:
space:
mode:
authorRoberto C. Sanchez <roberto@connexer.com>2014-10-21 22:48:19 -0400
committerRoberto C. Sanchez <roberto@connexer.com>2014-10-21 22:48:19 -0400
commit1af3b165c9377702ca62a64112bc089a6f575c30 (patch)
tree4df9cca5543b2cab5ca56dbb1214d7d3b1f291e3 /build-debug.sh
parent5b5fd0dce407556f98ed8edee89dc830bf1437b1 (diff)
Imported Upstream version 2.0~beta2
Diffstat (limited to 'build-debug.sh')
-rwxr-xr-xbuild-debug.sh18
1 files changed, 18 insertions, 0 deletions
diff --git a/build-debug.sh b/build-debug.sh
new file mode 100755
index 0000000..087f4b7
--- /dev/null
+++ b/build-debug.sh
@@ -0,0 +1,18 @@
+# This little script creates a build/ directory, enters it
+# and builds BibleTime there.
+#
+# BibleTime will be installed to build/install and can be run
+# just from there: ./build/install/bin/bibletime. It will find all
+# required files.
+
+
+if [ ! -d build ]; then mkdir build; fi
+cd build
+cmake -D CMAKE_BUILD_TYPE=Debug -D CMAKE_INSTALL_PREFIX="install/" .. || exit 1
+make -j4 install || exit 1
+cd ..
+
+echo
+echo "BibleTime has been installed to ./build/install."
+echo "You can run it by typing ./build/install/bin/bibletime."
+echo